Subject: Re: bug#73863: 30.0.91; Unexpected cursor movement with flymake-show-diagnostics-at-end-of-line

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Oct 2024 14:22:24 +0300

> From: João Távora <[email-masked]>
> Date: Sun, 20 Oct 2024 10:28:50 +0100
> Cc: Romain Ouabdelkader <[email-masked]>, [email-masked]
> 
> Flymake queries should be directed to Spencer Baugh

Sorry, I keep forgetting that.

> But if this fixes the user's problem and doesn't hurt anyone who does
> have wide enough windows and on top of that sufficient testing is done,
> I don't object to this solution.  I don't know what that problem is.  Does
> the user want their cursor to show at the end of the intangible overlay?
> If so, that's odd: I designed this feature to be as little intrusive as possible
> i.e. so that turning it on has no other effect than some text appearing
> at the end of line -- and only at the end of line.  If there is little space, I
> would say the right thing to do is to truncate, not wrap to the next line

When the diagnostic overlay wraps to the next screen line, it is
strange to see the cursor at the beginning of the diagnostic after
C-n, since users generally expect C-n to move to the next screen line.

But if we decide that the current behavior is more reasonable, and
this is just a matter of users getting used to it, I don't mind
leaving the current behavior alone.

> To try and answer your question,  I don't think it is used by other Flymake
> parts (the function name hints at it: flymake--eol- means "end of line").
> However, I advise to give it testing (with multiple diagnostics on one
> line, for example). I remember trying many variations on these things
> and each had its drawbacks.  But possibly (probably?) I didn't test
> this one.  Anyway, do test this out with other flymake eol users and
> consider the impact to users with wide enough windows: if there's no
> impact I don't see why this wouldn't be acceptable. But that is for
> Spencer or you to decide.

Thanks.

Spencer, what say you?